//
//  DependencyRegistry.swift
//  WherePrayer
//
//  Created by Jeff Shulman on 8/9/17.
//  Copyright © 2017 Lighthouse Woods LLC All rights reserved.
//

import Foundation
import Swinject

public protocol DependencyRegistry: class {
    var container: Container { get }
    var threadSafeContainer: Resolver { get }
}

public protocol DependencyRegistryType {
    var registry: DependencyRegistry { get set }
}
