//
//  WPObjectProtocol.swift
//  WherePrayerModel
//
//  Created by Jeff Shulman on 4/24/18.
//  Copyright © 2018 Lighthouse Woods LLC. All rights reserved.
//
//  Common fields of all our database objects

import RealmSwift

public protocol WPObjectProtocol: class {
    var id: String { get }
    var ckSystemFields: Data? { get set }
    
    func myCopy() -> AnyObject
}

public protocol WPPrayerProtocol: WPObjectProtocol {
    var expiration: Date?       { get set }
    var mapImage: ImageObject?  { get set }
}
